<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@E112=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time"> <comment>Turn it OFF at the end of the stage</comment>
    <script state="run">
      <action>maincpu.pw@E346=0999</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@E14E=06</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@E167=14</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@E11C=02</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Enable on the title screen then turn it OFF after you've started the selected stage</comment>
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@E154=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Always Kill each Enemy with 1 Hit"> <comment>You can't get the pistol in Stage 3 with this ON</comment>
    <script state="run">
      <action>maincpu.pb@E176=01</action>
      <action>maincpu.pb@E185=01</action>
      <action>maincpu.pb@E194=01</action>
      <action>maincpu.pb@E1A3=01</action>
      <action>maincpu.pb@E1B2=01</action>
      <action>maincpu.pb@E1C1=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch (Buggy)"> <comment>Can't control your character with this ON</comment>
    <script state="run">
      <action>maincpu.pb@E11A=00|(maincpu.pb@E11A BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Kick">
    <script state="run">
      <action>maincpu.pb@E11A=00|(maincpu.pb@E11A BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
